Reverse Contact Lookup In Bulk
curl --request POST \
--url https://app.fullenrich.com/api/v2/contact/reverse/email/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Reverse Lookup Batch 1",
"data": [
{
"email": "john.snow@example.com",
"custom": {
"user_id": "12584"
}
}
],
"webhook_url": "https://example.com/webhook",
"webhook_events": {
"contact_finished": "https://example.com/webhook/contact"
}
}
'import requests
url = "https://app.fullenrich.com/api/v2/contact/reverse/email/bulk"
payload = {
"name": "Reverse Lookup Batch 1",
"data": [
{
"email": "john.snow@example.com",
"custom": { "user_id": "12584" }
}
],
"webhook_url": "https://example.com/webhook",
"webhook_events": { "contact_finished": "https://example.com/webhook/contact" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Reverse Lookup Batch 1',
data: [{email: 'john.snow@example.com', custom: {user_id: '12584'}}],
webhook_url: 'https://example.com/webhook',
webhook_events: {contact_finished: 'https://example.com/webhook/contact'}
})
};
fetch('https://app.fullenrich.com/api/v2/contact/reverse/email/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enrichment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Reverse Email Lookup
Reverse Email Lookup
POST
/
contact
/
reverse
/
email
/
bulk
Reverse Contact Lookup In Bulk
First time? Set up Authentication
Learn how to authenticate your API requests with your API key.
- Work emails
- Personal emails
How Do Webhooks Work? [Recommended Read]
Learn how to receive results in real-time, set up per-contact webhooks, and track requests with custom fields.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
A readable name for this reverse lookup (visible in your dashboard)
Example:
"Reverse Lookup Batch 1"
Show child attributes
Show child attributes
Example:
[
{
"email": "john.snow@example.com",
"custom": { "user_id": "12584" }
}
]URL that will receive a POST request when the entire reverse lookup is finished (all emails processed).
Example:
"https://example.com/webhook"
Optional webhook URLs for specific events during reverse lookup
Show child attributes
Show child attributes
Response
OK
Example:
"2db5ea61-1752-42cf-8ea1-ab1da060cd0a"
⌘I